<?php
/**
 * $Horde: rakim/admin/addScript.php,v 1.9 2004/11/22 20:04:35 chuck Exp $
 */

@define('RAKIM_BASE', dirname(__FILE__) . '/..');
require_once RAKIM_BASE . '/lib/base.php';

if (!Auth::isAdmin('rakim:admin')) {
    Horde::authenticationFailureRedirect();
}

$rtitle = Util::getFormData('shared_script_title_entered');
$text = Util::getFormData('shared_script_text_entered');
if ($text && $rtitle) {
    $newId = $db->nextId('rakim_canned_messages');
    if (is_a($newId, 'PEAR_Error')) {
        Horde::logMessage($newId, __FILE__, __LINE__, PEAR_LOG_ERR);
        $notification->push(sprintf(_("An error occurred adding this response: %s"), $newId->getMessage()), 'horde.error');
    } else {
        $insertQuery = 'INSERT INTO rakim_canned_messages (canned_message_id, user_uid, canned_message_title, canned_message_text)
            VALUES (' . (int)$newId . ', \'0\', ' . $db->quote($rtitle) . ', ' . $db->quote($text) . ')';

        Horde::logMessage($insertQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

        $result = $db->query($insertQuery);
        if (is_a($result, 'PEAR_Error')) {
            Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
            $notification->push(sprintf(_("An error occurred adding this response: %s"), $result->getMessage()), 'horde.error');
        } else {
            $notification->push(sprintf(_("The canned response '%s' was successfully added."), $rtitle), 'horde.success');
            header('Location: ' . Horde::applicationUrl('admin/addScript.php', true));
            exit;
        }
    }
}

if ($text || $rtitle) {
    if (!$text) {
        $notification->push(_("You must enter the text for this canned response."), 'horde.error');
    } elseif (!$rtitle) {
        $notification->push(_("You must enter a title for this canned response."), 'horde.error');
    }
}

$title = _("Add a Shared Response");
require RAKIM_TEMPLATES . '/common-header.inc';
require RAKIM_TEMPLATES . '/menu.inc';
require RAKIM_TEMPLATES . '/admin/addScript.inc';
addScriptForm($rtitle, $text, '');
require $registry->get('templates', 'horde') . '/common-footer.inc';
