<?php
/**
 * $Horde: rakim/emailClaim.php,v 1.7 2004/11/22 20:04:35 chuck Exp $
 */

@define('RAKIM_BASE', dirname(__FILE__));
require_once RAKIM_BASE . '/lib/base.php';

function claimEmail($questionID)
{
    global $db;

    $claimEmailQuery = 'UPDATE rakim_emails
        SET email_status = \'claimed\', email_user_uid = ' . $db->quote(Auth::getAuth()) . ', email_time_claimed = ' . time() . '
        WHERE email_id = ' . (int)$questionID . ' AND (email_status = \'open\' OR ' . (Auth::isAdmin('rakim:admin') ? 1 : 0) . ')';

    Horde::logMessage($claimEmailQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

    $result = $db->query($claimEmailQuery);
    if (is_a($result, 'PEAR_Error')) {
        Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
        return false;
    } else {
        return $db->affectedRows();
    }
}

$selectQuery = 'SELECT * FROM rakim_emails WHERE email_id = ' . (int)Util::getFormData('id');
Horde::logMessage($selectQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

$result = $db->query($selectQuery);
if (is_a($result, 'PEAR_Error')) {
    Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
}

$row = $result->fetchRow(DB_FETCHMODE_ASSOC);
if ($row['email_status'] == 'open' || Auth::isAdmin('rakim:admin')) {
    if (!claimEmail($row['email_id'])) {
        $notification->push(_("Unable to claim this request."), 'horde.warning');
        header('Location: ' . Horde::applicationUrl('emailView.php?id=' . Util::getFormData('id'), true));
    } else {
        $notification->push(sprintf(_("You have claimed Request #%s."), Util::getFormData('id')), 'horde.success');
        if (Util::getFormData('reply')) {
            header('Location: ' . Horde::applicationUrl('emailReply.php?id=' . Util::getFormData('id'), true));
        } elseif (Util::getFormData('forward')) {
            header('Location: ' . Horde::applicationUrl('emailForward.php?id=' . Util::getFormData('id'), true));
        } elseif (Util::getFormData('close')) {
            header('Location: ' . Util::addParameter(Horde::applicationUrl('emailView.php?id=' . Util::getFormData('id'), true), 'close', 1));
        } else {
            header('Location: ' . Util::addParameter(Horde::applicationUrl('emailList.php?state=claimed', true), 'mine', 1));
        }
    }
} else {
    $notification->push(_("This email has already been claimed."), 'horde.warning');
    header('Location: ' . Horde::applicationUrl('emailView.php?id=' . Util::getFormData('id'), true));
}
