<?php
/**
 * $Horde: rakim/guest/rakim.php,v 1.4 2004/10/19 00:46:04 chuck Exp $
 */

define('RAKIM_BASE', dirname(__FILE__) . '/..');
require_once RAKIM_BASE . '/lib/base.php';

// Service is not active.
if (!count($rakim->getActivePersonnel())) {
    $notification->push(_("There are no personnel available at this time. Please submit your question via our email interface."), 'horde.message');
    header('Location: ' . Horde::applicationUrl('guest/email.php', true));
    exit;
}

// Bad session.
if (empty($_SESSION['rakim']['guest_name']) || empty($_SESSION['rakim']['guest_id'])) {
    header('Location: ' . Horde::applicationUrl('guest/', true));
    exit;
}

?>
<html>
<head>
<title><?php echo $registry->get('name') . ' :: ' . $_SESSION['rakim']['guest_name'] ?></title>

<?php if ($browser->isBrowser('mozilla') && $browser->getMajor() == 4): ?>
<script language="JavaScript">
window.onresize = function(evt) {
    window.location.reload(true);
}
</script>
<?php endif; ?>

</head>

<frameset rows="75%,0,*" border="0" frameborder="0">
  <frame src="<?php echo Horde::applicationUrl('guest/messages.php') ?>" name="rakim_messages" noresize="noresize" scrolling="auto">
  <frame src="<?php echo Horde::applicationUrl('guest/monitor.php') ?>" name="rakim_monitor" noresize="noresize" scrolling="no">
  <frame src="<?php echo Horde::applicationUrl('guest/input.php') ?>" name="rakim_input" noresize="noresize" scrolling="auto">
</frameset>
<noframes>
<?php echo _("You must use a browser that supports frames.") ?>
</noframes>

</html>
