<?php
/**
 * $Horde: rakim/admin/editOrganization.php,v 1.9 2004/11/22 20:04:35 chuck Exp $
 */

@define('RAKIM_BASE', dirname(__FILE__) . '/..');
require_once RAKIM_BASE . '/lib/base.php';

if (!Auth::isAdmin('rakim:admin')) {
    Horde::authenticationFailureRedirect();
}

if (Util::getPost('organization_id_entered')) {
    $id = Util::getPost('organization_id_entered');
    $name = Util::getPost('organization_name_entered');

    $updateOrganizationInfoQuery = 'UPDATE rakim_organizations SET organization_name = ' . $db->quote($name) . ' WHERE organization_id = ' . (int)$id;
    Horde::logMessage($updateOrganizationInfoQuery, __FILE__, __LINE__, PEAR_LOG_DEBUG);

    $result = $db->query($updateOrganizationInfoQuery);
    if (is_a($result, 'PEAR_Error')) {
        Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
        $notification->push(sprintf(_("An error occurred editing the organization: %s"), $result->getMessage()), 'horde.error');
    } else {
        $notification->push(_("The organization has been updated."), 'horde.success');
    }
}

$title = _("Edit Organizations");
require RAKIM_TEMPLATES . '/common-header.inc';
require RAKIM_TEMPLATES . '/menu.inc';

if (Util::getPost('organization_id')) {
    $id = Util::getPost('organization_id');

    $getOrganizationInfoQuery = 'SELECT * FROM rakim_organizations WHERE organization_id = ' . (int)$id;
    
    $result = $db->query($getOrganizationInfoQuery);
    if (is_a($result, 'PEAR_Error')) {
        Horde::logMessage($result, __FILE__, __LINE__, PEAR_LOG_ERR);
    } else {
        $row = $result->fetchRow(DB_FETCHMODE_ASSOC);
        require RAKIM_TEMPLATES . '/admin/addOrganization.inc';
        addOrganizationForm($row['organization_name'], $row['organization_id']);
    }
} else {
    require RAKIM_TEMPLATES . '/admin/pickOrganization.inc';
	pickOrganizationForm();
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
